unit uPAdr;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, ImgList, FileCtrl, ExtCtrls, jpeg;

type
  TfrmPAdr = class(TForm)
    dlbSlozky: TDirectoryListBox;
    flbSoubory: TFileListBox;
    memInfo: TMemo;
    dcbDisky: TDriveComboBox;
    imgObrazek: TImage;
    procedure dcbDiskyChange(Sender: TObject);
    procedure dlbSlozkyChange(Sender: TObject);
    procedure flbSouboryChange(Sender: TObject);
    procedure NastavInfo(sc:TSearchRec; const img:TJpegImage);
    procedure FormKeyDown(Sender: TObject; var Key: Word; Shift: TShiftState);
    procedure flbSouboryDblClick(Sender: TObject);

  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  frmPAdr: TfrmPAdr;
  cesta, otevreny:string;
  souboru:integer;

implementation

{$R *.dfm}

uses uProhlizec;

procedure TfrmPAdr.NastavInfo(sc: TSearchRec; const img:TJpegImage);
var Datum:TDateTime;
begin
  Datum:=(sc.Time+79*365-7*30-6)/3600/24+79*365-7*30-6;
  memInfo.Lines.Clear;
  memInfo.Lines.Add('Jmno: ' + sc.Name);
  memInfo.Lines.Add('Vleikost: '+ inttostr(sc.Size));
  memInfo.Lines.Add('Datum: ' + Datetostr(Datum));
  memInfo.Lines.Add('as: ' + TimeTostr(Datum));
  memInfo.Lines.Add('X: ' + inttostr(img.Width));
  memInfo.Lines.Add('Y: ' + inttostr(img.Height));

end;

procedure TfrmPAdr.dcbDiskyChange(Sender: TObject);
begin
   //vymena disku
   dlbSlozky.Drive:=dcbDisky.Drive;
   flbSoubory.Drive:=dcbDisky.Drive;
end;

procedure TfrmPAdr.dlbSlozkyChange(Sender: TObject);
begin
   //vymena slozky
   flbSoubory.Directory:=dlbSlozky.Directory;
end;



procedure TfrmPAdr.flbSouboryChange(Sender: TObject);
var Img:TJpegImage;
    sc:TSearchRec;
begin
   if flbSoubory.ItemIndex<>-1 then begin //je neco vybrano?
      img:=TJpegImage.Create();   //vytvoreni objektu obrazku
      cesta:=flbSoubory.Directory+'\';   //cesta k souboru
      otevreny:=FlbSoubory.Items[flbSoubory.ItemIndex];   //otevreny Soubor
      img.LoadFromFile(cesta+otevreny);   //nacti soubor podle cesty
      imgObrazek.Picture.Assign(img);     //nastav vlastnost picture nahledu
      FindFirst(cesta+otevreny,faAnyFile,sc);     //najdi vlastnosti obrazku
      NastavInfo(sc,img);        //info do memInfo
      img.Free;                  //uvolneni pameti
      imgObrazek.Stretch:=true;   //zde roztahneme
   end;
end;



procedure TfrmPAdr.flbSouboryDblClick(Sender: TObject);
begin
   if flbSoubory.ItemIndex<>-1 then begin
      frmProhlizec.Visible:=true; //vyditelny prohlizec
      frmPAdr.Enabled:=false;  //zakaz me
      frmProhlizec.NastavUdaje(cesta, otevreny, souboru); //odeslani spustecich informaci
   end;
end;



procedure TfrmPAdr.FormKeyDown(Sender: TObject; var Key: Word;
  Shift: TShiftState);
begin
       if Key=27 then begin  //ESC
          Close;
       end;

       if Key=13 then begin   //Enter
          if flbSoubory.ItemIndex<>-1 then begin            //kdyz je neco vybrano
             //otevri prohlizec
             frmProhlizec.Visible:=true;
             frmPAdr.Enabled:=false;
             frmProhlizec.KeyPreview:=true;
             frmProhlizec.NastavUdaje(cesta, otevreny, souboru); //odeslani spustecich informaci
          end;
       end;
end;

end.
